$newline never

$# SPDX-FileCopyrightText: 2022 Steffen Jost <jost@tcs.ifi.lmu.de>
$#
$# SPDX-License-Identifier: AGPL-3.0-or-later

<section>
  ^{lmsTable}

$maybe btnForm <- mbBtnForm
  <section>
    <h3>
      E‑Learning Starten und Aufräumen
    <p> 
      Die folgenden Funktionen sollten normalerweise mindestens einmal pro Tag ausgeführt werden, #
      können aber auch bedenkenlos mehrfach pro Tag ausgeführt werden. #
    
      Die erste Funktion benachrichtigt Inhaber von ablaufenden Lizenzen und #
      lädt diese ggf. zum E‑Learning ein. #
    
      Die zweite Funktion benachrichtigt Inhaber von bereits abgelaufenen Lizenzen und #
      räumte beendete E‑Learning Teilnehmer auf, falls der jeweilige Aufbewahrungszeitraum abgelaufen ist. #

      Ein Abgleich mit dem Ausweisverwaltungssystem findet dadurch jedoch noch nicht statt. #

    <p>
      <h4>
        Automatische Ausführung
      
      <dl .deflist>
        <dt .deflist_dt>
          Start E‑Learning: #
        <dd .deflist_dd>
          &nbsp;
          $maybe hour <- mbJLQenqueue
            jeden Wochentag kurz nach #
            <b>
              #{hour} Uhr
          $nothing
            <em>
              keine automatische Ausführung 
        <dt .deflist_dt>
          Sperren/Aufräumen: #
        <dd .deflist_dd>
          &nbsp;
          $maybe hour <- mbJLQdequeue
            jeden Wochentag kurz nach #
            <b>
              #{hour} Uhr
          $nothing
            <em>
              keine automatische Ausführung
    <p> 
      <h4>
       Manuelle Ausführung

      ^{btnForm}